Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007351OCamlocamldocpublic2016-09-10 14:082017-03-15 23:06
Reporterdbuenzli 
Assigned Tooctachron 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target Version4.05.0+devFixed in Version4.06.0+dev 
Summary0007351: ocamldoc should really stop generating br tags
DescriptionThey prevent using CSS to its full extent to style the documentation. For example here's what I have in my style sheet.

br { display: none } /* Annoying, hide them. */
code br { display: block } /* Except in signatures. */

The presence of br in the output disallows me to use e + e' CSS rules. A particular instance of this in my stylesheet is:

hr
{ display: none } /* Would be nice to have but we cannot get that to
                     interact well with our h1's because of br markup noise */

I'd like to specify something for hr + h1 but I'm unable since the output has the sequence hr br h1



TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016284)
octachron (developer)
2016-09-10 19:37

I agree that most use of "br" in ocamldoc html backend are not particularly meaningful and their intend could be better expressed by more semantic tags.
I have proposed a pull request in this direction in https://github.com/ocaml/ocaml/pull/802. [^]
(0017679)
octachron (developer)
2017-03-15 23:06

The above patch has been merged in Ocaml developpement branch, and should be integrated in OCaml 4.06.

- Issue History
Date Modified Username Field Change
2016-09-10 14:08 dbuenzli New Issue
2016-09-10 19:37 octachron Note Added: 0016284
2016-09-27 16:44 doligez Target Version => 4.05.0+dev
2016-09-27 16:44 doligez Status new => acknowledged
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc
2017-03-15 23:06 octachron Note Added: 0017679
2017-03-15 23:06 octachron Status acknowledged => resolved
2017-03-15 23:06 octachron Fixed in Version => 4.06.0+dev
2017-03-15 23:06 octachron Resolution open => fixed
2017-03-15 23:06 octachron Assigned To => octachron


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker